<!-- ____________________________ Render modal Dialog (delete workspace)START _________________________________________ -->
<ejs-dialog #confirmDialog [visible]='false' [animationSettings]='animationSettings' [showCloseIcon]='true'
    [target]='target' width='400px' isModal="true">
    <ng-template #header>
        <div title="{{workspaceContent?.DELETE_WORKSPACE}}" class="e-icon-settings dlg-template">
            {{workspaceContent?.DELETE_WORKSPACE}} </div>
    </ng-template>
    <ng-template #content>
        <p [innerHTML]="workspaceContent?.DELETE_CONFIRM"></p>
    </ng-template>
    <div class="form-group container">
        <div class="submitBtn">
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset"
                (click)="delete_file()">{{workspaceContent?.DELETE_CONFIRM_Y}}</button>
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset"
                (click)="dont_delete_file()">{{workspaceContent?.DELETE_CONFIRM_N}}</button>
        </div>
    </div>
</ejs-dialog>
<!-- ____________________________ Render modal Dialog (delete workspace)END _________________________________________ -->

<!-- ____________________________ Render modal Dialog (new workspace)START _________________________________________ -->
<ejs-dialog id="modalDialog" isModal="true" #modalDialog width='500px' [height]='update_flag ? 350 : 430' [animationSettings]='animationSettings'
    (open)="modalDlgOpen()" (close)="modalDlgClose()" [visible]='false' showCloseIcon='true' target='.control-section' type="reset">
    <ng-template #content>
        <form id="template_driven" #userForm="ngForm" novalidate>
            <div class="form-group" style="padding-top: 11px;">
                <div class="e-float-input">
                    <input type="text" id="name" #nameval='ngModel' name="workspace_name" required [(ngModel)]="workspace_name">
                    <span class="e-float-line"></span>
                    <label class="e-float-text e-label-top" for="workspace_name">{{workspaceContent?.name}} <span
                            class="required">*</span></label>
                    <span>
                        <div *ngIf="(nameval.invalid && (nameval.dirty || nameval.touched))">
                            <div class="e-error" *ngIf="nameval.errors.required">
                                * {{workspaceContent?.name_required_msg}}
                            </div>
                        </div>
                    </span>
                </div>
            </div>

            <div class="form-group" style="padding-top: 11px;">
                <div class="e-float-input">
                    <textarea type="text" id="description" #desvar='ngModel' name="description" required maxlength="{{descp_length['max_length']}}"
                        [(ngModel)]="description" row='2' (keyup)="desc_len_check()"></textarea>
                    <span class="e-float-line"></span>
                    <label class="e-float-text e-label-top" for="description">{{workspaceContent?.description}}
                        <span class="required">*</span></label>
                    <div class="row">
                        <span class="col text-left">
                            <div *ngIf="(desvar.invalid && (desvar.dirty || desvar.touched))">
                                <div class="e-error" *ngIf="desvar.errors.required">
                                    * {{workspaceContent?.description_required_msg}}
                                </div>
                            </div>
                        </span>
                        <span class="col text-right e-error">
                            <div [innerHTML]="descp_length['remaining_text_length']"></div>
                        </span>
                    </div>
                </div>
            </div>

            <div *ngIf='!update_flag' class="form-group" style="padding-top: 11px;">
                <div>
                    <ejs-dropdownlist required name='workspace_dropdown' [dataSource]='workspace_dropdown'
                        #dropvar='ngModel' [(ngModel)]=workspace_dropdown_name (change)='selected_dropdown($event)'
                        [fields]='fields' [placeholder]='workspace_dropdown_placeholder'></ejs-dropdownlist>
                </div>
                <span>
                    <div *ngIf="dropvar.invalid && (dropvar.touched)">
                        <div class="e-error" *ngIf="dropvar.errors.required">
                            * {{workspaceContent?.dropdown_required_msg}}
                        </div>
                    </div>
                </span>
            </div>

            <div class="form-group" style="padding-top: 11px;">
                <div class="submitBtn">
                    <button class="submit-btn e-btn" id="submit-btn" [disabled]="userForm.invalid"
                        (click)="update_flag ? update_workspace() : Submit()">{{update_flag ? workspaceContent?.Update : workspaceContent?.Submit}}</button>
                </div>
            </div>
            
        </form>
    </ng-template>
    <ng-template #header>
        <div title="{{update_flag ? workspaceContent?.EDIT_WORKSPACE : workspaceContent?.NEW_WORKSPACE}}" class="e-icon-settings dlg-template"> {{update_flag ? workspaceContent?.EDIT_WORKSPACE : workspaceContent?.NEW_WORKSPACE}}
        </div>
        
    </ng-template>
</ejs-dialog>
<!-- ____________________________ Render modal Dialog (new workspace) END _________________________________________ -->

<!-- ____________________________ Grid workspace START _________________________________________ -->
<div class="control-section">
    <div id="modalTarget" #targetModal>
        <nav class="navbar navbar-custom justify-content-between">
            <div>
                <strong>
                    <h6 class="nav_logo heading_style mb-3 ml-2">{{workspaceContent?.HEADING}}</h6>
                </strong>
                <!-- <p class='sub-heading' style="color: #010203;"><small>{{workspaceContent?.SUB_HEADING}}</small></p> -->
            </div>
            <button ejs-button id='modalbtn' class="btn btn-dark btn-new-workspace" #modalButton
                (click)="modalBtnClick()">{{workspaceContent?.NEW_WORKSPACE}}</button>
        </nav>

<!-- ____________________________ Render image if workspace is empty START _________________________________________ -->
<div *ngIf="length_of_workspace=='0'" class="img-fluid text-center pt-5">
    <ejs-tooltip #tooltip content='Click here to add Workspace'>
        <a><img src='assets/images/Workspace_List.png' (click)="modalBtnClick()" alt='image'
                style="height:100px" /></a>
    </ejs-tooltip>
</div>
<!-- ____________________________ Render image if workspace is empty END _________________________________________ -->

        <div *ngIf="length_of_workspace!='0'">
            <ejs-grid #gridelement [dataSource]='store_workspace_data' (click)="clickaction($event)"
                [allowPaging]="true" [toolbar]="toolbarItems" [editSettings]="editSettings" [allowSorting]="true"
                [pageSettings]='pageSettings' (rowSelected)='rowSelected($event)' class="workspace-grid">
                <e-columns>
                    <e-column field='name' [customAttributes]='customNameAttributes'
                        headerText='{{workspaceContent?.name}}' width=100></e-column>
                    <e-column field='description' headerText='{{workspaceContent?.description}}' width=100></e-column>
                    <!---Create-->
                    <e-column headerText='Create' width=20>
                        <ng-template #template let-data>
                            <button class="btn icon-class">
                                <em class="fa fa-plus ml-3" aria-hidden="true"></em>
                            </button>
                        </ng-template>
                    </e-column>
                    <!---Edit-->
                    <e-column headerText='Edit' width=20>
                        <ng-template #template let-data>
                            <img src="assets/images/novartis/edit.svg" class="icon-css" alt="Edit" (click)="edit_workspace(data.id,data.name,data.description,data.connector_id)">
                        </ng-template>
                    </e-column>
                    
                    <!-- <e-column headerText='' width=20>
                        <ng-template #template let-data>
                            <img src="assets/images/novartis/next.svg" class="icon-class" alt="View" (click)="viewLayerDetails(data)"  />
                        </ng-template>
                    </e-column> -->
                    
                    <!--Delete-->
                    <e-column headerText='Delete' width=20>
                        <ng-template #template let-data>
                            <button class="btn icon-class">
                                <em class="fa fa-trash ml-3" aria-hidden="true"></em>
                            </button>
                        </ng-template>
                    </e-column>

                    <!-- <e-column width= 40> -->
                        <!-- <ng-template #template let-data>
                            <div class="btn-group fa-pull-right">
                                <button type="button" class="btn btn-outline-secondary btn-sm dropdown-toggle "
                                    data-toggle="dropdown">
                                    <span class="caret"></span>
                                </button>
                                <ul class="dropdown-menu" role="menu"> -->
                                    <!-- ___________________ Feature depreciated ___________________ -->
                                    <!-- <div><em class="fa fa-plus ml-3"></em> 
                                        <button class="btn btn-sm  fa"(click)="createworkflow(data.id, data.name)" title="{{workspaceContent?.New_workflow}}">{{workspaceContent?.New_workflow}}</button>
                                    </div> -->
                                    <!-- ___________________ Feature depreciated ___________________ -->
                                    <!-- <div><em class="fa fa-pencil ml-3"></em> 
                                        <button class="btn btn-sm "(click)="edit_workspace(data.id,data.name,data.description,data.connector_id)" title="{{workspaceContent?.EDIT_WORKSPACE}}">{{workspaceContent?.EDIT_WORKSPACE}}</button>
                                    </div>
                                    <div><em class="fa fa-trash ml-3" aria-hidden="true"></em> 
                                        <button class="btn btn-sm  fa" title="{{workspaceContent?.DELETE}}">{{workspaceContent?.DELETE}}</button>
                                    </div>
                                </ul>
                            </div>
                        </ng-template> -->
                    <!-- </e-column> -->
                </e-columns>
            </ejs-grid>
        </div>
    </div>
</div>
    <!-- ____________________________ Grid workspace END _________________________________________ -->